Microsoft will block older versions of Skype for Windows and OS X

    image

    In order to unify the user experience, Microsoft decided in the coming months to block older versions of Skype: 6.13 and earlier for Windows and 6.14 and earlier for OS X. Users of older versions will be asked to upgrade to the latest version.
    Nothing was said about the version of Skype for the rest of the OS, but it can be assumed that they will not be affected.

    A source

    Also popular now: